Package com.collibra.dgc.core.api.dto.meta.status

# Class FindStatusesRequest

Object
PagedRequest
FindStatusesRequest

All Implemented Interfaces:
  `Serializable`

public class FindStatusesRequest extends PagedRequest
The search criteria for Statuses.

Only parameters that are specified in this request and do not have `null` values are used for filtering. All other parameters are ignored.

The returned Statuses satisfy all constraints that are specified in these search criteria.

By default, a result containing at most 1000 Statuses is returned.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `FindStatusesRequest.Builder`

- ## Field Summary

  ### Fields inherited from class PagedRequest

  `countLimit, limit, offset`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindStatusesRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindStatusesRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getDescription()`
  The description of the Status to search for.
  `String`
  `getName()`
  The name of the Status to search for.
  `MatchMode`
  `getNameMatchMode()`
  The match mode used to compare `name`.
  `int`
  `hashCode()`
  `void`
  `setDescription(String description)`
  The description of the Status to search for.
  `void`
  `setName(String name)`
  The name of the Status to search for.
  `void`
  `setNameMatchMode(MatchMode nameMatchMode)`
  The match mode used to compare `name`.
  `String`
  `toString()`

  ### Methods inherited from class PagedRequest

  `getCountLimit, getLimit, getOffset, isPagingActive, setCountLimit, setLimit, setOffset`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FindStatusesRequest

    public FindStatusesRequest()

- ## Method Details

  - ### builder

    public static FindStatusesRequest.Builder builder()

  - ### getName

    public String getName()
    The name of the Status to search for.

  - ### getNameMatchMode

    public MatchMode getNameMatchMode()
    The match mode used to compare `name`. If the match mode is `EXACT` the search is case-sensitive, otherwise the search is case-insensitive.

  - ### getDescription

    public String getDescription()
    The description of the Status to search for.

  - ### setName

    public void setName(String name)
    The name of the Status to search for.

  - ### setNameMatchMode

    public void setNameMatchMode(MatchMode nameMatchMode)
    The match mode used to compare `name`. If the match mode is `EXACT` the search is case-sensitive, otherwise the search is case-insensitive.

  - ### setDescription

    public void setDescription(String description)
    The description of the Status to search for.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `PagedRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `PagedRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `PagedRequest`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `PagedRequest`